For the complete documentation index, see llms.txt. This page is also available as Markdown.

DeleteImages

1. API Description

This API (DeleteImages) is used to delete one or more images.

Notes

  • The interface returns the set of image IDs that failed to be deleted. An empty set indicates that all of them were deleted successfully.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

imageIds

Yes

Array of String

Image ID list.

It can be obtained by calling DescribeImages.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

imageIds

Array of String

List of image IDs that failed to be deleted.

4. Code Example

1. Delete custom images in batches.

POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteImages
<Common Request Params>

Request:
{
  "imageIds": [
    "imageId1","imageId2"
  ]
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "imageIds": []
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated